print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebeer = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local grapeHudFile = "Paletten/hud_fill_grape.dds"
	local grapeHudFileSmall = "Paletten/hud_fill_grape_smal.dds"
	
    local grapeFilType = g_fillTypeManager:addFillType("GRAPE", g_i18n:getText("grape"), true, pricebeer * 1.0, 0.00045, math.rad(10), grapeHudFile, grapeHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasgrape=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasgrape=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "GRAPE" then
		hasgrape=true
	end;
		
end;

		if hasmaize and not hasgrape then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("GRAPE")
		local price = g_fillTypeManager:getFillTypeByName("GRAPE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("GRAPE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)